

import java.awt.*;       // Using AWT layouts
import java.awt.event.*; // Using AWT event classes and listener interfaces
import javax.swing.*;    // Using Swing components and containers
 
// A Swing GUI application inherits from top-level container javax.swing.JFrame
public class GUICounter extends JFrame {   // JFrame instead of Frame
   private JTextField tfCount;  
   private JButton btnCount;    
   private int count = 0;
 
   // Constructor to setup the GUI components and event handlers
   public GUICounter() {
      // Retrieve the content-pane of the top-level container JFrame
      // All operations done on the content-pane
      Container cp = getContentPane();
      cp.setLayout(new FlowLayout());   // The content-pane sets its layout
 
      cp.add(new JLabel("Counter"));
      tfCount = new JTextField("0");
      tfCount.setEditable(false);
      cp.add(tfCount);
 
      btnCount = new JButton("Count");
      cp.add(btnCount);
 
      // Allocate an anonymous instance that implements ActionListener as ActionEvent listener
      btnCount.addActionListener(new ActionListener() {
         
         public void actionPerformed(ActionEvent evt) {
            count++;
            tfCount.setText(count + "");
         }
      });
 
   }
 
   // The entry main() method
   public static void main(String[] args) {
	   
	   GUICounter counter = new GUICounter();
	   counter.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // Exit program if close-window button clicked
	   counter.setTitle("GUI Counter"); // "super" JFrame sets title
	   counter.setSize(300, 100);         // "super" JFrame sets initial size
	   counter.setVisible(true);          // "super" JFrame shows
   }
}
